? lnmp多版本PHP安装_丝画阁(homeforexchange.cn) 皇冠8868靠谱吗

lnmp多版本PHP安装

发布时间:2019-07-28 17:29:40编辑:丝画阁阅读(11)

第一,安装PHP

./install.sh mphp


第二,查看是不是有多个版本

whereis php

在/usr/local/nginx/conf 下会多一个enable-php5.6.conf

需要修改nginx配置,找到include enable-php.conf; 修改为include enable-php5.6.conf;

停掉原版本的php

/etc/init.d/php-fpm {start|stop|quit|restart|reload|logrotate}


访问网页时可能会出现502错误,查看nginx的error.log发现如下日志:

需要nginx.conf 与php-fpm.conf 中关于/tmp/php-cgi.sock配置要统一,因为安装其他版本PHP,此sock名称会不同


php-fpm.conf中不一样:

/usr/local/php

listen = /tmp/php-cgi.sock

/usr/local/php53

listen = /tmp/php-cgi5.3.sock


?vhost/xx.conf启用的PHP版本不同这里使用的tmp路径也不同.

fastcgi_pass? unix:/tmp/php-cgi.sock;

fastcgi_pass? unix:/tmp/php-cgi5.3.sock;



关键字